GNU bug report logs - #11233
24.1.50; Wishlist: dired mouse-2 other window behavior

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: michael_heerdegen@HIDDEN; merged with #1532; dated Fri, 13 Apr 2012 03:30:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2012 15:35:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 14 10:35:20 2012
Received: from localhost ([127.0.0.1]:42241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TYezo-0006Mp-4F
	for submit <at> debbugs.gnu.org; Wed, 14 Nov 2012 10:35:20 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45905)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TYezl-0006Mf-Q5
	for submit <at> debbugs.gnu.org; Wed, 14 Nov 2012 10:35:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TYez8-0001y3-VM
	for submit <at> debbugs.gnu.org; Wed, 14 Nov 2012 10:34:41 -0500
Received: from lists.gnu.org ([208.118.235.17]:40719)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TYez8-0001xu-RT
	for submit <at> debbugs.gnu.org; Wed, 14 Nov 2012 10:34:38 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47838)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TYez5-0004ID-Ow
	for bug-gnu-emacs@HIDDEN; Wed, 14 Nov 2012 10:34:38 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TYez2-0001v4-Md
	for bug-gnu-emacs@HIDDEN; Wed, 14 Nov 2012 10:34:35 -0500
Received: from mout.web.de ([212.227.17.12]:51201)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TYez2-0001uS-D0
	for bug-gnu-emacs@HIDDEN; Wed, 14 Nov 2012 10:34:32 -0500
Received: from drachen.dragon ([89.204.137.194]) by smtp.web.de (mrweb003)
	with ESMTPA (Nemesis) id 0M7bVP-1TLebo0Qh5-00xIzG;
	Wed, 14 Nov 2012 16:34:31 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior
References: <86vcl4uwxa.fsf@HIDDEN> <50702A93.7060008@HIDDEN>
	<jwvvcenzpgz.fsf-monnier+emacs@HIDDEN> <50A25022.7030600@HIDDEN>
	<jwvhaot1jxd.fsf-monnier+emacs@HIDDEN>
Date: Wed, 14 Nov 2012 16:35:06 +0100
In-Reply-To: <jwvhaot1jxd.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Tue, 13 Nov 2012 12:42:05 -0500")
Message-ID: <87txss5hat.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:2oNAM3IRnxtNQ+Mcz87p3lIW8KbMQ2rZeDzmPqdlgWk
	+ZIb0/1CE0R7KX2cGsIiGcU+PIWedrmNATjNGwc6eWjKd8/yzR
	ccMVqyPpG51Lh5+djPC9WUx/DrFJrXHCpYXHa+5vuT0Ihj5F3V
	uD2i7eOw3tjysDfU1id+jxKGhWkvC2y+gfi1pxSKLdbiQpH2CK
	rpFT+MGXNPvNntQV6771IGa58oElaPqxNmmqD1/XJc=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.4 (---)

Stefan Monnier <monnier@HIDDEN> writes:

> > What would an appropriate prefix be and how would it coexist with
> > ctl-x-4-map and ctl-x-5-map?
>
> The way I see it, C-x 4 would be a new command which sets some vars that
> affect subsequent commands (i.e. a prefix command, much like C-u or C-x RET
> c) and it would also set-temporary-overlay-map with ctl-x-4-map, so that
> C-x 4 f can be used as a shorthand for C-x 4 C-x C-f.

+1 - that would be great, especially if that worked with all stuff like
C-h i, C-x r j, M-x find-function, ...  But I think it's not trivial to
implement this.  E.g. when using C-x 5, I don't necessarily want
*Completions* to pop up in a new frame.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11233; Package emacs. Full text available.

Message received at 11233 <at> debbugs.gnu.org:


Received: (at 11233) by debbugs.gnu.org; 13 Nov 2012 17:42:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 13 12:42:43 2012
Received: from localhost ([127.0.0.1]:39043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TYKVW-000498-I6
	for submit <at> debbugs.gnu.org; Tue, 13 Nov 2012 12:42:43 -0500
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:34188)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TYKVS-00048z-PV
	for 11233 <at> debbugs.gnu.org; Tue, 13 Nov 2012 12:42:39 -0500
Received: from faina.iro.umontreal.ca (lechon.iro.umontreal.ca
	[132.204.27.242])
	by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id qADHg5kM011212;
	Tue, 13 Nov 2012 12:42:05 -0500
Received: by faina.iro.umontreal.ca (Postfix, from userid 20848)
	id 7CFA9B4278; Tue, 13 Nov 2012 12:42:05 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior
Message-ID: <jwvhaot1jxd.fsf-monnier+emacs@HIDDEN>
References: <86vcl4uwxa.fsf@HIDDEN> <50702A93.7060008@HIDDEN>
	<jwvvcenzpgz.fsf-monnier+emacs@HIDDEN> <50A25022.7030600@HIDDEN>
Date: Tue, 13 Nov 2012 12:42:05 -0500
In-Reply-To: <50A25022.7030600@HIDDEN> (martin rudalics's message of "Tue, 13
	Nov 2012 14:50:26 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV4401=0
X-NAI-Spam-Version: 2.2.0.9309 : core <4401> : streams <857651> : uri <1267148>
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 11233
Cc: michael_heerdegen@HIDDEN, 11233 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>> As mentioned months ago, I'd like to move away from all the
>> foo(|-other-(frame-window)) madness since I suspect that most users
>> only use one of those alternatives.
>> 
>> So instead, we should only have `find-file' (which the user could
>> customize the use this-window, other-window, or other-frame) and that
>> would be complemented by new prefix commands that cause the next command
>> to use "other-window" or "this-window" or "other-frame".

> What would an appropriate prefix be and how would it coexist with
> ctl-x-4-map and ctl-x-5-map?

The way I see it, C-x 4 would be a new command which sets some vars that
affect subsequent commands (i.e. a prefix command, much like C-u or C-x RET
c) and it would also set-temporary-overlay-map with ctl-x-4-map, so that
C-x 4 f can be used as a shorthand for C-x 4 C-x C-f.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11233; Package emacs. Full text available.

Message received at 11233 <at> debbugs.gnu.org:


Received: (at 11233) by debbugs.gnu.org; 13 Nov 2012 13:51:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 13 08:51:03 2012
Received: from localhost ([127.0.0.1]:37958 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TYGtK-0006Em-45
	for submit <at> debbugs.gnu.org; Tue, 13 Nov 2012 08:51:02 -0500
Received: from mailout-de.gmx.net ([213.165.64.22]:39989)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TYGtG-0006EM-Q2
	for 11233 <at> debbugs.gnu.org; Tue, 13 Nov 2012 08:51:00 -0500
Received: (qmail invoked by alias); 13 Nov 2012 13:50:28 -0000
Received: from 62-47-46-229.adsl.highway.telekom.at (EHLO [62.47.46.229])
	[62.47.46.229]
	by mail.gmx.net (mp012) with SMTP; 13 Nov 2012 14:50:28 +0100
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX181svUVU0E1/sAC0qTogylehnuR2158fKbnHbLT77
	4LnDITWJLaOGlA
Message-ID: <50A25022.7030600@HIDDEN>
Date: Tue, 13 Nov 2012 14:50:26 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior
References: <86vcl4uwxa.fsf@HIDDEN> <50702A93.7060008@HIDDEN>
	<jwvvcenzpgz.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwvvcenzpgz.fsf-monnier+emacs@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 11233
Cc: michael_heerdegen@HIDDEN, 11233 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

 > As mentioned months ago, I'd like to move away from all the
 > foo(|-other-(frame-window)) madness since I suspect that most users
 > only use one of those alternatives.
 >
 > So instead, we should only have `find-file' (which the user could
 > customize the use this-window, other-window, or other-frame) and that
 > would be complemented by new prefix commands that cause the next command
 > to use "other-window" or "this-window" or "other-frame".

What would an appropriate prefix be and how would it coexist with
ctl-x-4-map and ctl-x-5-map?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11233; Package emacs. Full text available.

Message received at 11233 <at> debbugs.gnu.org:


Received: (at 11233) by debbugs.gnu.org; 9 Oct 2012 23:21:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 09 19:21:07 2012
Received: from localhost ([127.0.0.1]:36436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TLj6o-0006aV-Vf
	for submit <at> debbugs.gnu.org; Tue, 09 Oct 2012 19:21:07 -0400
Received: from ps18281.dreamhost.com ([69.163.218.105]:55937
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TLj6l-0006aN-Rb
	for 11233 <at> debbugs.gnu.org; Tue, 09 Oct 2012 19:21:05 -0400
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 5C1D6451CD1F;
	Tue,  9 Oct 2012 16:20:26 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior
Organization: JURTA
References: <86vcl4uwxa.fsf@HIDDEN> <50702A93.7060008@HIDDEN>
	<jwvvcenzpgz.fsf-monnier+emacs@HIDDEN> <5070681D.50200@HIDDEN>
	<jwvr4pblba4.fsf-monnier+emacs@HIDDEN> <5072795C.5030109@HIDDEN>
	<87391p19lv.fsf@HIDDEN> <5073F017.4090501@HIDDEN>
Date: Wed, 10 Oct 2012 02:15:05 +0300
In-Reply-To: <5073F017.4090501@HIDDEN> (martin rudalics's message of "Tue, 09
	Oct 2012 11:36:23 +0200")
Message-ID: <87liff9r0m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 11233
Cc: michael_heerdegen@HIDDEN, 11233 <at> debbugs.gnu.org,
	Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

>> I suggest to use the same modifiers as used in web browsers:
>> mouse-1 opens in the same window, C-mouse-1 opens in other window
>> (not selected), C-S-mouse-1 opens in other window (and selected),
>
> Does this mean the buffer would appear in two windows?

No, only in one window - in the window where the user wants it to appear.

> On Firefox C-S-mouse-1 behaves just as C-mouse-1 here.

I meant the default settings.  But of course, they should be configurable.

>> S-mouse-1 opens in other frame.
>
> Would we decode this in `find-file' or `dired-find-file'?  IIUC we'd
> have to check
>
> (a) whether the mouse was used at all and, if so, which modifier was
>     applied,
>
> (b) whether the mouse was over a text with a this-window / other-window
>     / other-frame interpretation, and
>
> (c) what any user customizations wrt prefix key and modifiers are in the
>     present context.
>
> `push-button' and `button-activate' do something related.  Could we
> interact with these functions?

This could be processed at the same level where `mouse-1-click-follows-link'
and `mouse-1-click-in-non-selected-windows' are already in effect for
the [follow-link] event.

A more difficult question is how to allow packages to override this default
processing, e.g. allow clicking `C-mouse-1' in Info to clone (fork) the
Info buffer, but `mouse-1' should still visit a link in the same buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11233; Package emacs. Full text available.

Message received at 11233 <at> debbugs.gnu.org:


Received: (at 11233) by debbugs.gnu.org; 9 Oct 2012 09:37:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 09 05:37:06 2012
Received: from localhost ([127.0.0.1]:34668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TLWFN-0007xf-Ie
	for submit <at> debbugs.gnu.org; Tue, 09 Oct 2012 05:37:06 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:57775)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TLWFL-0007x8-Ts
	for 11233 <at> debbugs.gnu.org; Tue, 09 Oct 2012 05:37:04 -0400
Received: (qmail invoked by alias); 09 Oct 2012 09:36:25 -0000
Received: from 62-47-58-70.adsl.highway.telekom.at (EHLO [62.47.58.70])
	[62.47.58.70]
	by mail.gmx.net (mp032) with SMTP; 09 Oct 2012 11:36:25 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+Eqb4NjEWEaT7zkRMKPPldd7/QnFkjUKHiJ7N1KY
	sVWFN3jGKTL5y1
Message-ID: <5073F017.4090501@HIDDEN>
Date: Tue, 09 Oct 2012 11:36:23 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior
References: <86vcl4uwxa.fsf@HIDDEN>
	<50702A93.7060008@HIDDEN>	<jwvvcenzpgz.fsf-monnier+emacs@HIDDEN>
	<5070681D.50200@HIDDEN>	<jwvr4pblba4.fsf-monnier+emacs@HIDDEN>
	<5072795C.5030109@HIDDEN> <87391p19lv.fsf@HIDDEN>
In-Reply-To: <87391p19lv.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 11233
Cc: michael_heerdegen@HIDDEN, 11233 <at> debbugs.gnu.org,
	Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

 > I suggest to use the same modifiers as used in web browsers:
 > mouse-1 opens in the same window, C-mouse-1 opens in other window
 > (not selected), C-S-mouse-1 opens in other window (and selected),

Does this mean the buffer would appear in two windows?  On Firefox
C-S-mouse-1 behaves just as C-mouse-1 here.

 > S-mouse-1 opens in other frame.

Would we decode this in `find-file' or `dired-find-file'?  IIUC we'd
have to check

(a) whether the mouse was used at all and, if so, which modifier was
     applied,

(b) whether the mouse was over a text with a this-window / other-window
     / other-frame interpretation, and

(c) what any user customizations wrt prefix key and modifiers are in the
     present context.

`push-button' and `button-activate' do something related.  Could we
interact with these functions?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11233; Package emacs. Full text available.

Message received at 11233 <at> debbugs.gnu.org:


Received: (at 11233) by debbugs.gnu.org; 8 Oct 2012 14:12:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 08 10:12:37 2012
Received: from localhost ([127.0.0.1]:33639 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TLE4S-0000HT-O5
	for submit <at> debbugs.gnu.org; Mon, 08 Oct 2012 10:12:37 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:23853)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TLE4R-0000HH-6G
	for 11233 <at> debbugs.gnu.org; Mon, 08 Oct 2012 10:12:35 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ai0FAG6Zu09FxLQG/2dsb2JhbABEsEiDSYEIghUBAQQBViMQCzQSFBgNJIgcBboJkEQDozOBWIMF
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="200867333"
Received: from 69-196-180-6.dsl.teksavvy.com (HELO pastel.home)
	([69.196.180.6])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	08 Oct 2012 10:12:01 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 72DA6594D1; Mon,  8 Oct 2012 10:12:01 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior
Message-ID: <jwv626luk8w.fsf-monnier+emacs@HIDDEN>
References: <86vcl4uwxa.fsf@HIDDEN> <50702A93.7060008@HIDDEN>
	<jwvvcenzpgz.fsf-monnier+emacs@HIDDEN> <5070681D.50200@HIDDEN>
	<jwvr4pblba4.fsf-monnier+emacs@HIDDEN> <5072795C.5030109@HIDDEN>
Date: Mon, 08 Oct 2012 10:12:01 -0400
In-Reply-To: <5072795C.5030109@HIDDEN> (martin rudalics's message of "Mon, 08
	Oct 2012 08:57:32 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 11233
Cc: michael_heerdegen@HIDDEN, 11233 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

>> Just like C-u can be used for them.  Clearly, it's not convenient if
>> it's a frequent occurrence, but for occasional use, that's
>> perfectly fine.
> Suppose we wanted to make it convenient for frequent occurrence:
> Wouldn't we have enough modifier combinations available for mouse
> clicks?  Say C-S for "other window", M-S for "other frame" ...

I guess so.  And the two can be done independently.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11233; Package emacs. Full text available.

Message received at 11233 <at> debbugs.gnu.org:


Received: (at 11233) by debbugs.gnu.org; 8 Oct 2012 13:33:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 08 09:33:55 2012
Received: from localhost ([127.0.0.1]:32928 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TLDT0-0006py-9L
	for submit <at> debbugs.gnu.org; Mon, 08 Oct 2012 09:33:54 -0400
Received: from rcsinet15.oracle.com ([148.87.113.117]:50493)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TLDSx-0006pl-Jq
	for 11233 <at> debbugs.gnu.org; Mon, 08 Oct 2012 09:33:53 -0400
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
	by rcsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q98DXHEr028701
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Mon, 8 Oct 2012 13:33:17 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q98DXGwU010704
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Mon, 8 Oct 2012 13:33:17 GMT
Received: from abhmt103.oracle.com (abhmt103.oracle.com [141.146.116.55])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q98DXGmT004602; Mon, 8 Oct 2012 08:33:16 -0500
Received: from dradamslap1 (/10.159.64.145)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Mon, 08 Oct 2012 06:33:16 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Juri Linkov'" <juri@HIDDEN>, "'martin rudalics'" <rudalics@HIDDEN>
References: <86vcl4uwxa.fsf@HIDDEN>
	<50702A93.7060008@HIDDEN><jwvvcenzpgz.fsf-monnier+emacs@HIDDEN>
	<5070681D.50200@HIDDEN><jwvr4pblba4.fsf-monnier+emacs@HIDDEN>
	<5072795C.5030109@HIDDEN> <87391p19lv.fsf@HIDDEN>
Subject: RE: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior
Date: Mon, 8 Oct 2012 06:33:01 -0700
Message-ID: <E0BDD612E93F47DB92D533C34E0CA940@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <87391p19lv.fsf@HIDDEN>
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
Thread-Index: Ac2lSTX0pbKSYae2QyiW3ACxkpto7QAD+JMQ
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 11233
Cc: michael_heerdegen@HIDDEN, 11233 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

> > Suppose we wanted to make it convenient for frequent occurrence:
> > Wouldn't we have enough modifier combinations available for mouse
> > clicks?  Say C-S for "other window", M-S for "other frame" ...
> 
> I suggest to use the same modifiers as used in web browsers:
> mouse-1 opens in the same window, C-mouse-1 opens in other window
> (not selected), C-S-mouse-1 opens in other window (and selected),
> S-mouse-1 opens in other frame.

I haven't followed this thread; excuse if I've misunderstood.

Please do not make mouse-1 follow links etc., except according to
`mouse-1-click-follows-link'.  A user who has set that option to nil should not
be bothered by having mouse-1 do such things.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11233; Package emacs. Full text available.

Message received at 11233 <at> debbugs.gnu.org:


Received: (at 11233) by debbugs.gnu.org; 8 Oct 2012 11:36:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 08 07:36:15 2012
Received: from localhost ([127.0.0.1]:60971 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TLBd9-00048H-AH
	for submit <at> debbugs.gnu.org; Mon, 08 Oct 2012 07:36:15 -0400
Received: from ps18281.dreamhost.com ([69.163.218.105]:44951
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TLBd7-000485-EN
	for 11233 <at> debbugs.gnu.org; Mon, 08 Oct 2012 07:36:14 -0400
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 9333E451E167;
	Mon,  8 Oct 2012 04:35:44 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior
Organization: JURTA
References: <86vcl4uwxa.fsf@HIDDEN> <50702A93.7060008@HIDDEN>
	<jwvvcenzpgz.fsf-monnier+emacs@HIDDEN> <5070681D.50200@HIDDEN>
	<jwvr4pblba4.fsf-monnier+emacs@HIDDEN> <5072795C.5030109@HIDDEN>
Date: Mon, 08 Oct 2012 14:05:48 +0300
In-Reply-To: <5072795C.5030109@HIDDEN> (martin rudalics's message of "Mon, 08
	Oct 2012 08:57:32 +0200")
Message-ID: <87391p19lv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 11233
Cc: michael_heerdegen@HIDDEN, 11233 <at> debbugs.gnu.org,
	Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

> Suppose we wanted to make it convenient for frequent occurrence:
> Wouldn't we have enough modifier combinations available for mouse
> clicks?  Say C-S for "other window", M-S for "other frame" ...

I suggest to use the same modifiers as used in web browsers:
mouse-1 opens in the same window, C-mouse-1 opens in other window
(not selected), C-S-mouse-1 opens in other window (and selected),
S-mouse-1 opens in other frame.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11233; Package emacs. Full text available.

Message received at 11233 <at> debbugs.gnu.org:


Received: (at 11233) by debbugs.gnu.org; 8 Oct 2012 06:58:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 08 02:58:11 2012
Received: from localhost ([127.0.0.1]:60670 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TL7I2-0003b0-Vi
	for submit <at> debbugs.gnu.org; Mon, 08 Oct 2012 02:58:11 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:52416)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TL7I0-0003an-LX
	for 11233 <at> debbugs.gnu.org; Mon, 08 Oct 2012 02:58:09 -0400
Received: (qmail invoked by alias); 08 Oct 2012 06:57:36 -0000
Received: from 62-47-54-233.adsl.highway.telekom.at (EHLO [62.47.54.233])
	[62.47.54.233]
	by mail.gmx.net (mp038) with SMTP; 08 Oct 2012 08:57:36 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/2TJofv3j23B8Jos1d/aZDp5uezlnSNdM9lQEjcP
	CAgGB64ed8su9T
Message-ID: <5072795C.5030109@HIDDEN>
Date: Mon, 08 Oct 2012 08:57:32 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior
References: <86vcl4uwxa.fsf@HIDDEN>
	<50702A93.7060008@HIDDEN>	<jwvvcenzpgz.fsf-monnier+emacs@HIDDEN>
	<5070681D.50200@HIDDEN> <jwvr4pblba4.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwvr4pblba4.fsf-monnier+emacs@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 11233
Cc: michael_heerdegen@HIDDEN, 11233 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

 > Just like C-u can be used for them.  Clearly, it's not convenient if
 > it's a frequent occurrence, but for occasional use, that's
 > perfectly fine.

Suppose we wanted to make it convenient for frequent occurrence:
Wouldn't we have enough modifier combinations available for mouse
clicks?  Say C-S for "other window", M-S for "other frame" ...

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11233; Package emacs. Full text available.

Message received at 11233 <at> debbugs.gnu.org:


Received: (at 11233) by debbugs.gnu.org; 6 Oct 2012 18:14:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 06 14:14:39 2012
Received: from localhost ([127.0.0.1]:58488 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TKYta-0002ff-GU
	for submit <at> debbugs.gnu.org; Sat, 06 Oct 2012 14:14:38 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:57162)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TKYtY-0002fY-6H
	for 11233 <at> debbugs.gnu.org; Sat, 06 Oct 2012 14:14:37 -0400
Received: from faina.iro.umontreal.ca (lechon.iro.umontreal.ca
	[132.204.27.242])
	by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id q96IEH9x024527;
	Sat, 6 Oct 2012 14:14:18 -0400
Received: by faina.iro.umontreal.ca (Postfix, from userid 20848)
	id C685FB40A1; Sat,  6 Oct 2012 14:14:17 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior
Message-ID: <jwvr4pblba4.fsf-monnier+emacs@HIDDEN>
References: <86vcl4uwxa.fsf@HIDDEN> <50702A93.7060008@HIDDEN>
	<jwvvcenzpgz.fsf-monnier+emacs@HIDDEN> <5070681D.50200@HIDDEN>
Date: Sat, 06 Oct 2012 14:14:17 -0400
In-Reply-To: <5070681D.50200@HIDDEN> (martin rudalics's message of "Sat, 06
	Oct 2012 19:19:25 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 11233
Cc: michael_heerdegen@HIDDEN, 11233 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

>> As mentioned months ago, I'd like to move away from all the
>> foo(|-other-(frame-window)) madness since I suspect that most users
>> only use one of those alternatives.
>> So instead, we should only have `find-file'
> Would this be `dired-find-file'?

For dired, yes, probably.

>> (which the user could customize the use this-window, other-window, or
>> other-frame) and that would be complemented by new prefix commands
>> that cause the next command to use "other-window" or "this-window" or
>> "other-frame".
> Prefix commands when using the mouse?

Yup.
Just like C-u can be used for them.  Clearly, it's not convenient if
it's a frequent occurrence, but for occasional use, that's
perfectly fine.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11233; Package emacs. Full text available.

Message received at 11233 <at> debbugs.gnu.org:


Received: (at 11233) by debbugs.gnu.org; 6 Oct 2012 17:19:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 06 13:19:57 2012
Received: from localhost ([127.0.0.1]:58441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TKY2f-0001RW-GY
	for submit <at> debbugs.gnu.org; Sat, 06 Oct 2012 13:19:57 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:38078)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TKY2c-0001RJ-OC
	for 11233 <at> debbugs.gnu.org; Sat, 06 Oct 2012 13:19:56 -0400
Received: (qmail invoked by alias); 06 Oct 2012 17:19:30 -0000
Received: from 62-47-38-239.adsl.highway.telekom.at (EHLO [62.47.38.239])
	[62.47.38.239]
	by mail.gmx.net (mp034) with SMTP; 06 Oct 2012 19:19:30 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+Qfyg+6b+Q64IC3CtwyMjuR1N52nAveLODUoS4T9
	RrqJzpTHPRjQEp
Message-ID: <5070681D.50200@HIDDEN>
Date: Sat, 06 Oct 2012 19:19:25 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior
References: <86vcl4uwxa.fsf@HIDDEN> <50702A93.7060008@HIDDEN>
	<jwvvcenzpgz.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwvvcenzpgz.fsf-monnier+emacs@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 11233
Cc: michael_heerdegen@HIDDEN, 11233 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

 > As mentioned months ago, I'd like to move away from all the
 > foo(|-other-(frame-window)) madness since I suspect that most users
 > only use one of those alternatives.
 >
 > So instead, we should only have `find-file'

Would this be `dired-find-file'?

 > (which the user could
 > customize the use this-window, other-window, or other-frame) and that
 > would be complemented by new prefix commands that cause the next command
 > to use "other-window" or "this-window" or "other-frame".

Prefix commands when using the mouse?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11233; Package emacs. Full text available.

Message received at 11233 <at> debbugs.gnu.org:


Received: (at 11233) by debbugs.gnu.org; 6 Oct 2012 13:49:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 06 09:49:20 2012
Received: from localhost ([127.0.0.1]:57934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TKUkq-0004Dn-JL
	for submit <at> debbugs.gnu.org; Sat, 06 Oct 2012 09:49:20 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:51200)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TKUko-0004Dc-JA
	for 11233 <at> debbugs.gnu.org; Sat, 06 Oct 2012 09:49:19 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ai0FAG6Zu09FxLQG/2dsb2JhbABEsEiDSYEIghUBAQQBViMFCws0EhQYDSSIHAW6CZBEA6MzgViDBQ
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="200793620"
Received: from 69-196-180-6.dsl.teksavvy.com (HELO pastel.home)
	([69.196.180.6])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	06 Oct 2012 09:48:56 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id BED3A594D1; Sat,  6 Oct 2012 09:48:55 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior
Message-ID: <jwvvcenzpgz.fsf-monnier+emacs@HIDDEN>
References: <86vcl4uwxa.fsf@HIDDEN> <50702A93.7060008@HIDDEN>
Date: Sat, 06 Oct 2012 09:48:55 -0400
In-Reply-To: <50702A93.7060008@HIDDEN> (martin rudalics's message of "Sat, 06
	Oct 2012 14:56:51 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 11233
Cc: michael_heerdegen@HIDDEN, 11233 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

> +     (define-key map [mouse-1] 'dired-mouse-find-file-this-window)

I don't think we can use this by default (but a user can have it as
a local customization, of course).

> Alternatively, we could bind mouse-2 to a command
> `dired-mouse-find-file' which according to some option say
> `dired-mouse-find-file-other-window' would visit the file in the
> selected or another window.

I hope we can start moving in this direction, indeed.

As mentioned months ago, I'd like to move away from all the
foo(|-other-(frame-window)) madness since I suspect that most users
only use one of those alternatives.

So instead, we should only have `find-file' (which the user could
customize the use this-window, other-window, or other-frame) and that
would be complemented by new prefix commands that cause the next command
to use "other-window" or "this-window" or "other-frame".


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11233; Package emacs. Full text available.

Message received at 11233 <at> debbugs.gnu.org:


Received: (at 11233) by debbugs.gnu.org; 6 Oct 2012 12:57:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 06 08:57:11 2012
Received: from localhost ([127.0.0.1]:57902 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TKTwF-00035C-L0
	for submit <at> debbugs.gnu.org; Sat, 06 Oct 2012 08:57:05 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:52638)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TKTw7-00034g-Cu
	for 11233 <at> debbugs.gnu.org; Sat, 06 Oct 2012 08:57:00 -0400
Received: (qmail invoked by alias); 06 Oct 2012 12:56:33 -0000
Received: from 62-47-53-96.adsl.highway.telekom.at (EHLO [62.47.53.96])
	[62.47.53.96]
	by mail.gmx.net (mp040) with SMTP; 06 Oct 2012 14:56:33 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+FRrxXFPGFJuXCwBgC4BS9QOFmtUPIj2x+RbLhR2
	1kuYoHoemHwHbu
Message-ID: <50702A93.7060008@HIDDEN>
Date: Sat, 06 Oct 2012 14:56:51 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: michael_heerdegen@HIDDEN
Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior
References: <86vcl4uwxa.fsf@HIDDEN>
In-Reply-To: <86vcl4uwxa.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 11233
Cc: 11233 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

 > here is a question that Emacs newbies ask often: "How can I configure
 > dired so that mouse clicks don't create a new window/frame."
 > Unfortunately, this is currently not trivial.
 >
 > Obviously, Emacs dired differs from most "common" file browsers which
 > just replace the current buffer/tab with the content of the clicked
 > file.
 >
 > Not every user will like the behavior of Emacs here - we should give
 > users the possibility to configure this easily.
 >
 > At least, we should define a new command dired-mouse-find-file
 > (without "-other-window") which users can bind if they want.  It's
 > missing.
 >
 > But since dired is a very basic and widely used tool, and many newbies
 > will not know hooks, I think it would be a better solution if we could
 > provide a new user option that controls the behavior of mouse-2 in
 > dired in this regard.

The basic problem is that the default for `mouse-1-click-follows-link'
has a short mouse-1 click do the same as mouse-2 whatever the latter is
bound to.  If you set `mouse-1-click-follows-link' to nil, the patch
below should do what you want.

Alternatively, we could bind mouse-2 to a command
`dired-mouse-find-file' which according to some option say
`dired-mouse-find-file-other-window' would visit the file in the
selected or another window.

martin


*** lisp/dired.el	2012-09-30 09:10:59 +0000
--- lisp/dired.el	2012-10-06 10:25:26 +0000
***************
*** 1383,1388 ****
--- 1383,1389 ----
     ;;  (define-key dired-mode-map "\C-d" 'dired-flag-file-deletion)
     (let ((map (make-keymap)))
       (set-keymap-parent map special-mode-map)
+     (define-key map [mouse-1] 'dired-mouse-find-file-this-window)
       (define-key map [mouse-2] 'dired-mouse-find-file-other-window)
       (define-key map [follow-link] 'mouse-face)
       ;; Commands to mark or flag certain categories of files
***************
*** 2047,2055 ****
   ;; Don't override the setting from .emacs.
   ;;;###autoload (put 'dired-find-alternate-file 'disabled t)

! (defun dired-mouse-find-file-other-window (event)
!   "In Dired, visit the file or directory name you click on."
!   (interactive "e")
     (let (window pos file)
       (save-excursion
         (setq window (posn-window (event-end event))
--- 2048,2055 ----
   ;; Don't override the setting from .emacs.
   ;;;###autoload (put 'dired-find-alternate-file 'disabled t)

! (defun dired-mouse-find-file (event &optional other-window)
!   "Subroutine for visting file or directory name clicked on."
     (let (window pos file)
       (save-excursion
         (setq window (posn-window (event-end event))
***************
*** 2064,2072 ****
   		 (dired-goto-subdir file))
   	    (progn
   	      (select-window window)
! 	      (dired-other-window file)))
         (select-window window)
!       (find-file-other-window (file-name-sans-versions file t)))))

   (defun dired-view-file ()
     "In Dired, examine a file in view mode, returning to Dired when done.
--- 2064,2086 ----
   		 (dired-goto-subdir file))
   	    (progn
   	      (select-window window)
! 	      (if other-window
! 		  (dired-other-window file)
! 		(dired file))))
         (select-window window)
!       (if other-window
! 	  (find-file-other-window (file-name-sans-versions file t))
! 	(find-file (file-name-sans-versions file t))))))
!
! (defun dired-mouse-find-file-this-window (event)
!   "In Dired, visit the file or directory name you click on in this window."
!   (interactive "e")
!   (dired-mouse-find-file event))
!
! (defun dired-mouse-find-file-other-window (event)
!   "In Dired, visit the file or directory name you click on in other window."
!   (interactive "e")
!   (dired-mouse-find-file event t))

   (defun dired-view-file ()
     "In Dired, examine a file in view mode, returning to Dired when done.







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11233; Package emacs. Full text available.
Forcibly Merged 1532 11233. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Apr 2012 03:29:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 12 23:29:43 2012
Received: from localhost ([127.0.0.1]:55417 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SIXCg-0008P0-MT
	for submit <at> debbugs.gnu.org; Thu, 12 Apr 2012 23:29:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35197)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SIXCe-0008Ot-Dm
	for submit <at> debbugs.gnu.org; Thu, 12 Apr 2012 23:29:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SIXBP-0007jp-2K
	for submit <at> debbugs.gnu.org; Thu, 12 Apr 2012 23:28:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:53765)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SIXBO-0007ji-V3
	for submit <at> debbugs.gnu.org; Thu, 12 Apr 2012 23:28:22 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33457)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SIXBN-0003sE-Ay
	for bug-gnu-emacs@HIDDEN; Thu, 12 Apr 2012 23:28:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SIXBL-0007jN-Lr
	for bug-gnu-emacs@HIDDEN; Thu, 12 Apr 2012 23:28:20 -0400
Received: from fmmailgate06.web.de ([217.72.192.247]:37626)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SIXBL-0007jG-FU
	for bug-gnu-emacs@HIDDEN; Thu, 12 Apr 2012 23:28:19 -0400
Received: from moweb002.kundenserver.de (moweb002.kundenserver.de
	[172.19.20.108])
	by fmmailgate06.web.de (Postfix) with ESMTP id 312DA120415B
	for <bug-gnu-emacs@HIDDEN>; Fri, 13 Apr 2012 05:28:17 +0200 (CEST)
Received: from dragon.dragon ([88.67.107.46]) by smtp.web.de (mrweb001) with
	ESMTPA (Nemesis) id 0M6Df8-1S6tPm2oH4-00yAOi;
	Fri, 13 Apr 2012 05:28:16 +0200
Date: Fri, 13 Apr 2012 05:34:41 +0200
Message-Id: <86vcl4uwxa.fsf@HIDDEN>
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.1.50; Wishlist: dired mouse-2 other window behavior
X-Provags-ID: V02:K0:OCtW+41I7AWTjR/OY7IWsU0mF3bF5XKf/DV23yRJOJo
	YcDpcA32EjorwxxfxDoJfudVJ9Mja2D5UX/UIK6kOLDRR7Fs9e
	A0kTsB8ws57JC9DOmKHRHPyCdZAdUUTMDq+b6xHRnA1bW5/JcO
	7w1rkcvOt+WoqO4igH/aSNeonqtDGAvjGzTJaWE4QkKdsKRV/L
	+CABMADJNyQsNvRsSEtSV3qEeCVCKQYUWhVlM9We24=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4-2.6
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: michael_heerdegen@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Hi,

here is a question that Emacs newbies ask often: "How can I configure
dired so that mouse clicks don't create a new window/frame."
Unfortunately, this is currently not trivial.

Obviously, Emacs dired differs from most "common" file browsers which
just replace the current buffer/tab with the content of the clicked
file.

Not every user will like the behavior of Emacs here - we should give
users the possibility to configure this easily.

At least, we should define a new command dired-mouse-find-file
(without "-other-window") which users can bind if they want.  It's
missing.

But since dired is a very basic and widely used tool, and many newbies
will not know hooks, I think it would be a better solution if we could
provide a new user option that controls the behavior of mouse-2 in
dired in this regard.

(Note: if you want to do something like that, please don't forget to
change the tooltips.)


Regards,

Michael.






Acknowledgement sent to michael_heerdegen@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11233; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.